Package com.logicaldoc.core.automation

# Class ForbiddenCodeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.logicaldoc.core.automation.AutomationException
com.logicaldoc.core.automation.ForbiddenCodeException

All Implemented Interfaces:
  `Serializable`

public class ForbiddenCodeException extends AutomationException
Exception raised when suspicious code has been detected

Since:
  9.0.1
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ForbiddenCodeException(String expression)`
`ForbiddenCodeException(String snippet, String expression)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ForbiddenCodeException

public ForbiddenCodeException(String snippet, String expression)

### ForbiddenCodeException

public ForbiddenCodeException(String expression)